be.fgov.ehealth.aa.complextype.v1

## Class OrganizationDescriberType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.OrganizationDescriberType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SupportedOrganization

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:39:09+02:00",
                 comments="JAXB RI v2.2.11")
      public class OrganizationDescriberType
      extends Object
      implements Serializable

  Metadata on supported organization.

  Java class for OrganizationDescriberType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OrganizationDescriberType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="OrganizationTypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationTypeFriendlyName" maxOccurs="unbounded"/>
               <element name="OrganizationType" type="{urn:be:fgov:ehealth:aa:complextype:v1}OrganizationIdentifierType"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute"/>
               <element name="CheckDigit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Regex" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="AllowedBaseServices" type="{urn:be:fgov:ehealth:aa:complextype:v1}BaseServiceListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationDescriberType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseServiceListType` | `getAllowedBaseServices()` Gets the value of the allowedBaseServices property.
    `Attribute` | `getAttribute()` Gets the value of the attribute property.
    `String` | `getCheckDigit()` Gets the value of the checkDigit property.
    `OrganizationIdentifierType` | `getOrganizationType()` Gets the value of the organizationType property.
    `String` | `getOrganizationTypeCode()` Gets the value of the organizationTypeCode property.
    `List<NameType>` | `getOrganizationTypeFriendlyNames()` Gets the value of the organizationTypeFriendlyNames property.
    `String` | `getRegex()` Gets the value of the regex property.
    `void` | `setAllowedBaseServices(BaseServiceListType value)` Sets the value of the allowedBaseServices property.
    `void` | `setAttribute(Attribute value)` Sets the value of the attribute property.
    `void` | `setCheckDigit(String value)` Sets the value of the checkDigit property.
    `void` | `setOrganizationType(OrganizationIdentifierType value)` Sets the value of the organizationType property.
    `void` | `setOrganizationTypeCode(String value)` Sets the value of the organizationTypeCode property.
    `void` | `setRegex(String value)` Sets the value of the regex property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrganizationDescriberType

          public OrganizationDescriberType()

  - ### Method Detail

    - #### getOrganizationTypeCode

          public String getOrganizationTypeCode()

      Gets the value of the organizationTypeCode property.
      Returns:
        possible object is `String`

    - #### setOrganizationTypeCode

          public void setOrganizationTypeCode(String value)

      Sets the value of the organizationTypeCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrganizationTypeFriendlyNames

          public List<NameType> getOrganizationTypeFriendlyNames()

      Gets the value of the organizationTypeFriendlyNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypeFriendlyNames property.

      For example, to add a new item, do as follows:

              getOrganizationTypeFriendlyNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameType`

    - #### getOrganizationType

          public OrganizationIdentifierType getOrganizationType()

      Gets the value of the organizationType property.
      Returns:
        possible object is `OrganizationIdentifierType`

    - #### setOrganizationType

          public void setOrganizationType(OrganizationIdentifierType value)

      Sets the value of the organizationType property.
      Parameters:
        `value` - allowed object is `OrganizationIdentifierType`

    - #### getAttribute

          public Attribute getAttribute()

      Gets the value of the attribute property.
      Returns:
        possible object is `Attribute`

    - #### setAttribute

          public void setAttribute(Attribute value)

      Sets the value of the attribute property.
      Parameters:
        `value` - allowed object is `Attribute`

    - #### getCheckDigit

          public String getCheckDigit()

      Gets the value of the checkDigit property.
      Returns:
        possible object is `String`

    - #### setCheckDigit

          public void setCheckDigit(String value)

      Sets the value of the checkDigit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRegex

          public String getRegex()

      Gets the value of the regex property.
      Returns:
        possible object is `String`

    - #### setRegex

          public void setRegex(String value)

      Sets the value of the regex property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAllowedBaseServices

          public BaseServiceListType getAllowedBaseServices()

      Gets the value of the allowedBaseServices property.
      Returns:
        possible object is `BaseServiceListType`

    - #### setAllowedBaseServices

          public void setAllowedBaseServices(BaseServiceListType value)

      Sets the value of the allowedBaseServices property.
      Parameters:
        `value` - allowed object is `BaseServiceListType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.